be.ehealth.businessconnector.chapterIV.wrapper.impl

## Class ConsultUnsealedResponseWrapperImpl

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper<Response>
  - - be.ehealth.businessconnector.chapterIV.wrapper.impl.ConsultUnsealedResponseWrapperImpl

- All Implemented Interfaces:
    UnsealedResponseWrapper<Response>, WrappedXmlObject<Response>, Serializable

      public class ConsultUnsealedResponseWrapperImpl
      extends AbstractWrapper<Response>
      implements UnsealedResponseWrapper<Response>

  wraps generated xml class in wrapper that implements an interface. workaround for the fact that the generated code have actually implement common interface, but share no hieararchy or java interface. changing the xsd is not an option at the moment. Implements : `AbstractWrapper`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultUnsealedResponseWrapperImpl(Response response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getKmehrResponseBytes()` Gets the value of the kmehrResponse property.
    `byte[]` | `getTimestampReplyBytes()` Gets the value of the timestampReply property.
    `void` | `setKmehrResponseBytes(byte[] value)` Sets the value of the kmehrResponse property.
    `void` | `setTimestampReplyBytes(byte[] value)` Sets the value of the timestampReply property.

    - ### Methods inherited from class be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper

      `getXmlObject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject

      `getXmlObject`

- - ### Constructor Detail

    - #### ConsultUnsealedResponseWrapperImpl

          public ConsultUnsealedResponseWrapperImpl(Response response)

      Parameters:
        `response` -

  - ### Method Detail

    - #### getTimestampReplyBytes

          public byte[] getTimestampReplyBytes()

      Description copied from interface: `UnsealedResponseWrapper`
      Gets the value of the timestampReply property.
      Specified by:
        `getTimestampReplyBytes` in interface `UnsealedResponseWrapper<Response>`
      Returns:
      See Also:
        `Response.getTimestampReply()`

    - #### setTimestampReplyBytes

          public void setTimestampReplyBytes(byte[] value)

      Description copied from interface: `UnsealedResponseWrapper`
      Sets the value of the timestampReply property.
      Specified by:
        `setTimestampReplyBytes` in interface `UnsealedResponseWrapper<Response>`
      Parameters:
        `value` -
      See Also:
        `Response.setTimestampReply(byte[])`

    - #### getKmehrResponseBytes

          public byte[] getKmehrResponseBytes()

      Description copied from interface: `UnsealedResponseWrapper`
      Gets the value of the kmehrResponse property.
      Specified by:
        `getKmehrResponseBytes` in interface `UnsealedResponseWrapper<Response>`
      Returns:
      See Also:
        `Response.getKmehrResponse()`

    - #### setKmehrResponseBytes

          public void setKmehrResponseBytes(byte[] value)

      Description copied from interface: `UnsealedResponseWrapper`
      Sets the value of the kmehrResponse property.
      Specified by:
        `setKmehrResponseBytes` in interface `UnsealedResponseWrapper<Response>`
      Parameters:
        `value` -
      See Also:
        `Response.setKmehrResponse(byte[])`

Connector Packaging PERSPHYSICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.